Package com.usatiuk.dhfs.invalidation

# Class DeferredInvalidationQueueService

java.lang.Object
com.usatiuk.dhfs.invalidation.DeferredInvalidationQueueService

All Implemented Interfaces:
  `PeerConnectedEventListener`

@ApplicationScoped public class DeferredInvalidationQueueService extends Object implements PeerConnectedEventListener

## Constructor Summary

Constructors
Constructor
Description
`DeferredInvalidationQueueService()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handlePeerConnected(PeerId peerId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeferredInvalidationQueueService

public DeferredInvalidationQueueService()

## Method Details

### handlePeerConnected

public void handlePeerConnected(PeerId peerId)

Specified by:
  `handlePeerConnected` in interface `PeerConnectedEventListener`